Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.federated
Interface IVirtualRepositoryManager

    public interface IVirtualRepositoryManager

Interface to manage repositories while honoring DA rights on the repositories. Note: new methods may be added to this interface periodically -- therefore, this not a good CM extension point. The recommended extension point is at the Service Provider Interface, in package com.bea.content.spi

This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`void` | `createRepositoryConfig(ContentContext context, RepositoryConfig config)` Create repository config
`RepositoryConfig` | `getRepositoryConfig(ContentContext context, String name)` Get the named repository config.
`Map<String,RepositoryConfig>` | `getRepositoryConfigMap(ContentContext context)` Return repository configurations for repositories that the context has CAN_MANAGE capability on
`List<String>` | `getRepositoryNames(ContentContext context)` Return a list of names for all repositories defined in the system.
`boolean` | `hasCapability(ContentContext context, String repositoryName, VirtualRepositoryCapability capability)` Check to see if the caller has the specified security capability on a virtual repository
`boolean` | `isLibraryServiceEnabled(ContentContext context, String repositoryName)` Checks whether or not the specified repository has library services enabled.
`int` | `pingRepository(String repositoryName)` Pings a repository to check if it is available or not.
`void` | `removeRepositoryConfig(ContentContext context, String name)` Remove the repository config.
`void` | `updateRepositoryConfig(ContentContext context, RepositoryConfig config)` Update the repository config.

Method Detail

### getRepositoryNames

    List<String> getRepositoryNames(ContentContext context)
                                    throws RepositoryException

  Return a list of names for all repositories defined in the system.

  Parameters
    `context` -
  Throws
    `RepositoryException`

### pingRepository

    int pingRepository(String repositoryName)
                       throws NoSuchRepositoryConfigException,
                              RepositoryException

  Pings a repository to check if it is available or not. This method tries to connect to that specific repository to check for it's availability. It does not persist the connection information.

  Parameters
    `repositoryName` - The name of the repository
  Returns
    an integer specifying the connection status of the repository. If the repository can be pinged successfully it will return a status of RepositorySession.AUTHENTICATED or any one of the other statuses defined in RepositorySession.
  Throws
    `NoSuchRepositoryConfigException` - If the repository config does not exist
    `RepositoryException` - If an error happens during ping

### getRepositoryConfigMap

    Map<String,RepositoryConfig> getRepositoryConfigMap(ContentContext context)
                                                        throws RepositoryException,
                                                               AuthorizationException

  Return repository configurations for repositories that the context has CAN_MANAGE capability on

  Parameters
    `context` -
  Returns
  Throws
    `RepositoryException`
    `AuthorizationException`

### createRepositoryConfig

    void createRepositoryConfig(ContentContext context,
                                RepositoryConfig config)
                                throws AuthorizationException,
                                       RepositoryConfigExistsException,
                                       RepositoryException

  Create repository config

  Parameters
    `context` -
    `config` -
  Throws
    `AuthorizationException`
    `RepositoryConfigExistsException`
    `RepositoryException`

### getRepositoryConfig

    RepositoryConfig getRepositoryConfig(ContentContext context,
                                         String name)
                                         throws AuthorizationException,
                                                RepositoryException,
                                                NoSuchRepositoryConfigException

  Get the named repository config.

  Parameters
    `context` -
    `name` -
  Returns
  Throws
    `AuthorizationException`
    `RepositoryException`
    `NoSuchRepositoryConfigException`

### updateRepositoryConfig

    void updateRepositoryConfig(ContentContext context,
                                RepositoryConfig config)
                                throws AuthorizationException,
                                       RepositoryException,
                                       NoSuchRepositoryConfigException

  Update the repository config.

  Parameters
    `context` -
    `config` -
  Throws
    `AuthorizationException`
    `RepositoryException`
    `NoSuchRepositoryConfigException`

### removeRepositoryConfig

    void removeRepositoryConfig(ContentContext context,
                                String name)
                                throws AuthorizationException,
                                       RepositoryException,
                                       NoSuchRepositoryConfigException

  Remove the repository config.

  Parameters
    `context` -
    `name` -
  Throws
    `AuthorizationException`
    `RepositoryException`
    `NoSuchRepositoryConfigException`

### isLibraryServiceEnabled

    boolean isLibraryServiceEnabled(ContentContext context,
                                    String repositoryName)
                                    throws RepositoryException

  Checks whether or not the specified repository has library services enabled.

  Parameters
    `context` - The ContentContext object
    `repositoryName` - The name of the repository
  Returns
  Throws
    `RepositoryException`

### hasCapability

    boolean hasCapability(ContentContext context,
                          String repositoryName,
                          VirtualRepositoryCapability capability)
                          throws AuthorizationException

  Check to see if the caller has the specified security capability on a virtual repository

  Parameters
    `context` - The ContentContext object
    `repositoryName` - The name of the repository
    `capability` - The capability to check for.
  Returns
    true or false depending on whether the caller has the capability on the virtual repository or not.
  Throws
    `AuthorizationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved